diff -crB c:\mame0106s\mame0106s\src/drivers/namcofl.c c:\mingw9\mame\src/drivers/namcofl.c
*** c:\mame0106s\mame0106s\src/drivers/namcofl.c	Thu Apr  6 22:13:06 2006
--- c:\mingw9\mame\src/drivers/namcofl.c	Sun May 20 13:14:34 2012
***************
*** 2,13 ****
      Namco System FL
      Driver by R. Belmont and ElSemi
  
!     IMPORTANT
      ---------
      To calibrate the steering, do the following:
      1) Delete the .nv file
      2) Start the game.  Speed Racer will guide you through the calibration
!        (the "jump button" is the same as player 1 start).
         For Final Lap R, hold down service (9) and tap test (F2).  If you do
         not get an "initializing" message followed by the input test, keep doing
         it until you do.
--- 2,13 ----
      Namco System FL
      Driver by R. Belmont and ElSemi
  
!     IMPORTANT (for Manual Calibration, MAME now loads these defaults instead)
      ---------
      To calibrate the steering, do the following:
      1) Delete the .nv file
      2) Start the game.  Speed Racer will guide you through the calibration
!        (the "jump button" is mapped to Space).
         For Final Lap R, hold down service (9) and tap test (F2).  If you do
         not get an "initializing" message followed by the input test, keep doing
         it until you do.
***************
*** 190,244 ****
  	AM_RANGE(0xfffffffc, 0xffffffff) AM_READ( fl_unk1_r )
  ADDRESS_MAP_END
  
! INPUT_PORTS_START( sysfl )
! 	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT(0x04, IP_ACTIVE_HIGH, IPT_SERVICE ) PORT_NAME( DEF_STR( Service_Mode )) PORT_TOGGLE PORT_CODE(KEYCODE_F2)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_SERVICE1 )
  	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )	// C75 status
  
! 	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 )	// button C
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON1 )	// button A
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON2 )	// button B
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_START1 )
  
! 	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_TOGGLE	// shifter
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
! 	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN2 )
! 	PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_COIN1 )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
! 	PORT_START
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(10)
  
- 	PORT_START
- 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(10)
  
- 	PORT_START
- 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(10)
  INPUT_PORTS_END
  
  static const gfx_layout obj_layout =
--- 190,316 ----
  	AM_RANGE(0xfffffffc, 0xffffffff) AM_READ( fl_unk1_r )
  ADDRESS_MAP_END
  
! static INPUT_PORTS_START( speedrcr )
! 	PORT_START_TAG("MISC")
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN2 )
! 	PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_COIN1 )
! 	PORT_SERVICE( 0x40, IP_ACTIVE_HIGH )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_SERVICE1 ) // enters pages in test menu
! 
! 	PORT_START_TAG("IN0")
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
! 	PORT_START_TAG("IN1")
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN ) // no gear button on this
! 	PORT_DIPNAME( 0x20, 0x20, "Freeze Screen" )
! 	PORT_DIPSETTING(    0x20, DEF_STR( Off ) )
! 	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
! 	PORT_START_TAG("IN2")
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN ) // buttons are named because their use in navigating test mode isn't clear
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Weapon 1 / Test Menu Down") PORT_CODE(KEYCODE_C)
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Weapon 2 / Test Menu Modify") PORT_CODE(KEYCODE_Z)
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Weapon 3 / Test Menu Up") PORT_CODE(KEYCODE_X)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_NAME("Start / Jump") PORT_CODE(KEYCODE_SPACE) // jump / start button
! 
! 	PORT_START_TAG("IN3")
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
! 	PORT_START_TAG("ACCEL")
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(20)
! 
! 	PORT_START_TAG("BRAKE")
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNUSED ) // no brake
! 
! 	PORT_START_TAG("WHEEL")
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(4)
! INPUT_PORTS_END
! 
! 
! static INPUT_PORTS_START( finalapr )
! 	PORT_START_TAG("MISC")
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT(0x04, IP_ACTIVE_HIGH, IPT_SERVICE ) PORT_NAME( DEF_STR( Service_Mode )) PORT_TOGGLE PORT_CODE(KEYCODE_F2)
! 	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_SERVICE1 )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN ) 
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )	// C75 status
! 
! 	PORT_START_TAG("IN0")
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN ) //FREEZE THE SCREEN
! 
! 	PORT_START_TAG("IN1")
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	
! 	if(options.geartype==0)
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if(options.geartype==1)
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if(options.geartype==2)
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_TOGGLE PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! 	
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_START1 )
! 
! 	PORT_START_TAG("IN2")
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
! 	PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_COIN2 ) 
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN ) // freezes the game
! 
! 	PORT_START_TAG("ACCEL")
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(6)
  
! 	PORT_START_TAG("BRAKE")
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(6)
! 	
! 	PORT_START_TAG("WHEEL")
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(6)
  
  
  INPUT_PORTS_END
  
  static const gfx_layout obj_layout =
***************
*** 484,489 ****
  	namcos2_gametype = NAMCOFL_FINAL_LAP_R;
  }
  
! GAME( 1995, speedrcr,        0, sysfl, sysfl, speedrcr, ROT0, "Namco", "Speed Racer", GAME_IMPERFECT_GRAPHICS | GAME_IMPERFECT_SOUND )
! GAME( 1995, finalapr,        0, sysfl, sysfl, finalapr, ROT0, "Namco", "Final Lap R (Rev B)", GAME_IMPERFECT_SOUND )
! GAME( 1995, finalapo, finalapr, sysfl, sysfl, finalapr, ROT0, "Namco", "Final Lap R", GAME_IMPERFECT_SOUND )
--- 556,561 ----
  	namcos2_gametype = NAMCOFL_FINAL_LAP_R;
  }
  
! GAME( 1995, speedrcr,        0, sysfl, speedrcr, speedrcr, ROT0, "Namco", "Speed Racer", GAME_IMPERFECT_GRAPHICS | GAME_IMPERFECT_SOUND )
! GAME( 1995, finalapr,        0, sysfl, finalapr, finalapr, ROT0, "Namco", "Final Lap R (Rev B)", GAME_IMPERFECT_SOUND )
! GAME( 1995, finalapo, finalapr, sysfl, finalapr, finalapr, ROT0, "Namco", "Final Lap R", GAME_IMPERFECT_SOUND )
diff -crB c:\mame0106s\mame0106s\src/drivers/namcoic.c c:\mingw9\mame\src/drivers/namcoic.c
*** c:\mame0106s\mame0106s\src/drivers/namcoic.c	Tue Feb 28 10:39:16 2006
--- c:\mingw9\mame\src/drivers/namcoic.c	Fri May 18 19:03:52 2012
***************
*** 81,89 ****
  		{
  			static const int adj[4] = { 4,2,1,0 };
  			int dx = 44+adj[i];
! 			tilemap_set_scrolldx( mTilemapInfo.tmap[i], -dx, -(-288-dx) );
! 			tilemap_set_scrolldy( mTilemapInfo.tmap[i], -24, -(-224-24) );
  		}
  		return 0;
  } /* namco_tilemap_init */
  
--- 81,94 ----
  		{
  			static const int adj[4] = { 4,2,1,0 };
  			int dx = 44+adj[i];
! 			tilemap_set_scrolldx( mTilemapInfo.tmap[i], -dx, -(-384-dx) );
! 			tilemap_set_scrolldy( mTilemapInfo.tmap[i], -24, 288 );
  		}
+ 		tilemap_set_scrolldx( mTilemapInfo.tmap[4], 0, 96 );
+ 		tilemap_set_scrolldy( mTilemapInfo.tmap[4], 0, 40 );
+ 
+ 		tilemap_set_scrolldx( mTilemapInfo.tmap[5], 0, 96 );
+ 		tilemap_set_scrolldy( mTilemapInfo.tmap[5], 0, 40 );
  		return 0;
  } /* namco_tilemap_init */
  
***************
*** 271,277 ****
  		int scalex, int scaley, int zpos )
  {
  	if (!scalex || !scaley) return;
! 	if (dest_bmp->depth == 15 || dest_bmp->depth == 16)
  	{
  		if( gfx && gfx->colortable )
  		{
--- 276,282 ----
  		int scalex, int scaley, int zpos )
  {
  	if (!scalex || !scaley) return;
! 	if (dest_bmp->depth == 16)
  	{
  		if( gfx && gfx->colortable )
  		{
***************
*** 354,360 ****
  								for( x=sx; x<ex; x++ )
  								{
  									int c = source[x_index>>16];
! 									if( c != transparent_color )
  									{
  										if( pri[x]<=zpos )
  										{
--- 359,365 ----
  								for( x=sx; x<ex; x++ )
  								{
  									int c = source[x_index>>16];
! 									if( c != 0xff )
  									{
  										if( pri[x]<=zpos )
  										{
***************
*** 743,750 ****
  	xscroll &= 0x1ff; if( xscroll & 0x100 ) xscroll |= ~0x1ff;
  	yscroll &= 0x1ff; if( yscroll & 0x100 ) yscroll |= ~0x1ff;
  
! 	if( bitmap->width > 288 )
  	{ /* Medium Resolution: System21 adjust */
  			yscroll += 0x10;
  	}
  	else
--- 748,761 ----
  	xscroll &= 0x1ff; if( xscroll & 0x100 ) xscroll |= ~0x1ff;
  	yscroll &= 0x1ff; if( yscroll & 0x100 ) yscroll |= ~0x1ff;
  
! if( bitmap->width > 384 )
  	{ /* Medium Resolution: System21 adjust */
+ 			xscroll = (INT16)mSpritePos[1];
+ 			xscroll &= 0x3ff; if( xscroll & 0x200 ) xscroll |= ~0x3ff;
+ 			if( yscroll<0 )
+ 			{ /* solvalou */
+ 				yscroll += 0x20;
+ 			}
  			yscroll += 0x10;
  	}
  	else
***************
*** 838,844 ****
  			if( (tile&0x8000)==0 )
  			{
  				zdrawgfxzoom(
! 					bitmap,Machine->gfx[mGfxC355],
  					mpCodeToTile(tile) + offset,
  					color,
  					flipx,flipy,
--- 849,856 ----
  			if( (tile&0x8000)==0 )
  			{
  				zdrawgfxzoom(
! 					bitmap,
!                     Machine->gfx[mGfxC355],
  					mpCodeToTile(tile) + offset,
  					color,
  					flipx,flipy,
***************
*** 1523,1529 ****
  	int tile = (data&0x3ff);
  	int color = (data>>10);
  
! 	SET_TILE_INFO( mRoadGfxBank, tile, color , 0 )
  } /* get_road_info */
  
  READ16_HANDLER( namco_road16_r )
--- 1535,1541 ----
  	int tile = (data&0x3ff);
  	int color = (data>>10);
  
! 	SET_TILE_INFO( mRoadGfxBank, tile, color , 0 );
  } /* get_road_info */
  
  READ16_HANDLER( namco_road16_r )
diff -crB c:\mame0106s\mame0106s\src/drivers/namcos2.c c:\mingw9\mame\src/drivers/namcos2.c
*** c:\mame0106s\mame0106s\src/drivers/namcos2.c	Thu Apr  6 22:13:06 2006
--- c:\mingw9\mame\src/drivers/namcos2.c	Fri May 18 21:57:12 2012
***************
*** 1000,1010 ****
  	PORT_START_TAG("AN4")		/* 63B05Z0 - 8 CHANNEL ANALOG - CHANNEL 4 */
  	PORT_BIT( 0xff, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_START_TAG("AN5")		/* Steering Wheel */		/* sensitivity, delta, min, max */
! 	PORT_BIT( 0xff, 0x7f, IPT_DIAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(75) PORT_KEYDELTA(100) PORT_PLAYER(1)
  	PORT_START_TAG("AN6")		/* Brake Pedal */
! 	PORT_BIT( 0xff, 0xff, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(30) PORT_PLAYER(2)
  	PORT_START_TAG("AN7")		/* Accelerator Pedal */
! 	PORT_BIT( 0xff, 0xff, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(15) PORT_PLAYER(1)
  
  	PORT_START_TAG("MCUH")		/* 63B05Z0 - PORT H */
  	PORT_DIPNAME( 0x01, 0x01, "PortH 0x01")
--- 1000,1010 ----
  	PORT_START_TAG("AN4")		/* 63B05Z0 - 8 CHANNEL ANALOG - CHANNEL 4 */
  	PORT_BIT( 0xff, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_START_TAG("AN5")		/* Steering Wheel */		/* sensitivity, delta, min, max */
! 	PORT_BIT( 0xff, 0x80, IPT_DIAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(10) PORT_NAME("Steering")
  	PORT_START_TAG("AN6")		/* Brake Pedal */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(30) PORT_NAME("Brake Pedal")
  	PORT_START_TAG("AN7")		/* Accelerator Pedal */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0x00,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(15) PORT_NAME("Gas Pedal")
  
  	PORT_START_TAG("MCUH")		/* 63B05Z0 - PORT H */
  	PORT_DIPNAME( 0x01, 0x01, "PortH 0x01")
***************
*** 1022,1028 ****
  	PORT_DIPNAME( 0x10, 0x10, "PortH 0x10")
  	PORT_DIPSETTING(	0x10, "H" )
  	PORT_DIPSETTING(	0x00, "L" )
! 	PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_TOGGLE PORT_NAME("Shift Gear")/* Gear Shift */
  	PORT_DIPNAME( 0x40, 0x40, "PortH 0x40")
  	PORT_DIPSETTING(	0x40, "H" )
  	PORT_DIPSETTING(	0x00, "L" )
--- 1022,1038 ----
  	PORT_DIPNAME( 0x10, 0x10, "PortH 0x10")
  	PORT_DIPSETTING(	0x10, "H" )
  	PORT_DIPSETTING(	0x00, "L" )
! 
! //setting "ACTIVE_LOW" or "ACTIVE_HIGH" has no apparent effect	
! if(options.geartype==0)
! {PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if(options.geartype==1)
! {PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if(options.geartype==2)
! {PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_TOGGLE PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}	
! 	
! //	PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_TOGGLE PORT_NAME("Shift Gear")/* Gear Shift */
! 
  	PORT_DIPNAME( 0x40, 0x40, "PortH 0x40")
  	PORT_DIPSETTING(	0x40, "H" )
  	PORT_DIPSETTING(	0x00, "L" )
diff -crB c:\mame0106s\mame0106s\src/drivers/nemesis.c c:\mingw9\mame\src/drivers/nemesis.c
*** c:\mame0106s\mame0106s\src/drivers/nemesis.c	Wed May 10 21:35:28 2006
--- c:\mingw9\mame\src/drivers/nemesis.c	Fri Feb 24 21:57:56 2012
***************
*** 1033,1039 ****
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
  	PORT_START	/* IN1 */
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 ) /* gear */
  	PORT_BIT( 0xef, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
  	PORT_START	/* IN2 */
--- 1033,1044 ----
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
  	PORT_START	/* IN1 */
! 	if(options.geartype==0) 
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if (options.geartype==1) 
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_CODE(KEYCODE_SPACE) PORT_NAME("Gear Shift");}
! else if (options.geartype==2) 
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_TOGGLE PORT_NAME("Gear Shift");}
  	PORT_BIT( 0xef, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  
  	PORT_START	/* IN2 */
***************
*** 1082,1092 ****
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
  	PORT_START	/* IN6 */
! 	PORT_BIT( 0xff, 0x40, IPT_DIAL ) PORT_MINMAX(0x00,0x7f) PORT_SENSITIVITY(25) PORT_KEYDELTA(10)
  
  	PORT_START	/* IN7 */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON2 )
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON1 )
  //  PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON4 )
  INPUT_PORTS_END
  
--- 1087,1097 ----
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
  	PORT_START	/* IN6 */
! 	PORT_BIT( 0xff, 0x40, IPT_DIAL ) PORT_MINMAX(0x00,0x7f) PORT_SENSITIVITY(25) PORT_KEYDELTA(10) PORT_NAME("Steering")
  
  	PORT_START	/* IN7 */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake")
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Accelerator")
  //  PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON4 )
  INPUT_PORTS_END
  
***************
*** 1864,1871 ****
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake (WEC Le Mans 24 cabinet)")
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 )
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_SPECIAL )	// must be 0 otherwise game freezes when using WEC Le Mans 24 cabinet
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
--- 1869,1879 ----
  	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNKNOWN )
! if(options.steertype==0)
! 	{PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake")}
! else
! 	{PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNUSED )}
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Air Flip")
  	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_SPECIAL )	// must be 0 otherwise game freezes when using WEC Le Mans 24 cabinet
  	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNKNOWN )
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNKNOWN )
***************
*** 1901,1910 ****
  	GX400_COINAGE_DIP
  
  	PORT_START /* DSW1 */
! 	PORT_DIPNAME( 0x03, 0x03, DEF_STR( Cabinet ) )
! 	PORT_DIPSETTING(    0x03, "Konami GT without brake" )
! 	PORT_DIPSETTING(    0x02, "WEC Le Mans 24 Upright" )
! 	PORT_DIPSETTING(    0x01, "Konami GT with brake" )
  	// 0x00 WEC Le Mans 24 Upright again
  	PORT_DIPNAME( 0x04, 0x04, DEF_STR( Unused ) )
  	PORT_DIPSETTING(    0x04, DEF_STR( Off ) )
--- 1909,1921 ----
  	GX400_COINAGE_DIP
  
  	PORT_START /* DSW1 */
! if(options.steertype==0)
! 	{PORT_DIPNAME( 0x03, 0x02, DEF_STR( Cabinet ) )}
! else
! 	{PORT_DIPNAME( 0x03, 0x03, DEF_STR( Cabinet ) )}
! 	PORT_DIPSETTING(    0x03, "Konami GT without brake, optical Wheel" )
! 	PORT_DIPSETTING(    0x02, "WEC Le Mans 24 Upright, pot Wheel" )
! 	PORT_DIPSETTING(    0x01, "Konami GT with brake, optical Wheel" )
  	// 0x00 WEC Le Mans 24 Upright again
  	PORT_DIPNAME( 0x04, 0x04, DEF_STR( Unused ) )
  	PORT_DIPSETTING(    0x04, DEF_STR( Off ) )
***************
*** 1924,1944 ****
  	PORT_DIPSETTING(    0x80, DEF_STR( Off ) )
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
! 	/* Konami GT specific control */
  	PORT_START	/* IN6 */
! 	PORT_BIT( 0xff, 0x40, IPT_DIAL ) PORT_MINMAX(0x00,0x7f) PORT_SENSITIVITY(25) PORT_KEYDELTA(10)
  
  	PORT_START	/* IN7 */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake (Konami GT cabinet)")
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON1 )
! //  PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON4 )
  
  	/* WEC Le Mans 24 specific control */
  	PORT_START	/* IN8 - Accelerator */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10)
  
  	PORT_START	/* IN9 - Steering Wheel */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5)
  INPUT_PORTS_END
  
  /******************************************************************************/
--- 1935,1971 ----
  	PORT_DIPSETTING(    0x80, DEF_STR( Off ) )
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
! if(options.steertype==1)/*optical*/
! 	{/* Konami GT specific control */
  	PORT_START	/* IN6 */
! 	PORT_BIT( 0xff, 0x40, IPT_DIAL ) PORT_MINMAX(0x00,0x7f) PORT_SENSITIVITY(25) PORT_KEYDELTA(10) PORT_NAME("Steering")
  
  	PORT_START	/* IN7 */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake")
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Gas Pedal")
! 	
! 	/* WEC Le Mans 24 specific control */
! 	PORT_START	/* IN8 - Accelerator */
! 	PORT_BIT( 0xff, 0, IPT_UNUSED ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10) 
! 
! 	PORT_START	/* IN9 - Steering Wheel */
! 	PORT_BIT( 0xff, 0x80, IPT_UNUSED ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5) 
!     }
! else /*potentiometers*/
! 	{/* Konami GT specific control */
! 	PORT_START	/* IN6 */
! 	PORT_BIT( 0xff, 0x40, IPT_UNUSED ) PORT_MINMAX(0x00,0x7f) PORT_SENSITIVITY(25) PORT_KEYDELTA(10)
  
+ 	PORT_START	/* IN7 */
+ 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED ) 
+ 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED ) 
  	/* WEC Le Mans 24 specific control */
  	PORT_START	/* IN8 - Accelerator */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10) PORT_NAME("Gas Pedal")
  
  	PORT_START	/* IN9 - Steering Wheel */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5) PORT_NAME("Steering")
! 	}
  INPUT_PORTS_END
  
  /******************************************************************************/
diff -crB c:\mame0106s\mame0106s\src/drivers/polepos.c c:\mingw9\mame\src/drivers/polepos.c
*** c:\mame0106s\mame0106s\src/drivers/polepos.c	Mon Feb 20 10:32:40 2006
--- c:\mingw9\mame\src/drivers/polepos.c	Thu Oct 13 19:36:55 2011
***************
*** 483,489 ****
  INPUT_PORTS_START( polepos )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! 	PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Change") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE /* Gear */
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
--- 483,496 ----
  INPUT_PORTS_START( polepos )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! 	
! if(options.geartype==0)	
! {PORT_BIT(0x02, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==1)	
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==2)
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE;} /* Gear */
! 
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
***************
*** 542,561 ****
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT)
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL)
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
  INPUT_PORTS_START( poleposa )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! 	PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Change") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE /* Gear */
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
--- 549,577 ----
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT) PORT_NAME("Brake")
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL) PORT_NAME("Accelerator")
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4) PORT_NAME("Steering")
! 	//PORT_BIT( 0xff, 0x7f, IPT_PADDLE ) PORT_MINMAX(0x01,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
  INPUT_PORTS_START( poleposa )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! 	
! if(options.geartype==0)	
! {PORT_BIT(0x02, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==1)	
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==2)
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE;} /* Gear */
! 
! 
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
***************
*** 614,626 ****
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT)
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL)
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
--- 630,643 ----
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT) PORT_NAME("Brake")
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL) PORT_NAME("Accelerator")
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4) PORT_NAME("Steering")
! 	//PORT_BIT( 0xff, 0x7f, IPT_PADDLE ) PORT_MINMAX(0x01,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
***************
*** 686,705 ****
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT)
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL)
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
  INPUT_PORTS_START( polepos2 )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! 	PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Change") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE /* Gear */
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
--- 703,729 ----
  	PORT_DIPSETTING(	0x00, DEF_STR( On ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT) PORT_NAME("Brake")
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL) PORT_NAME("Accelerator")
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4) PORT_NAME("Steering")
! 	//PORT_BIT( 0xff, 0x7f, IPT_PADDLE ) PORT_MINMAX(0x01,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
  INPUT_PORTS_START( polepos2 )
  	PORT_START
  	PORT_BIT( 0x01, IP_ACTIVE_LOW, IPT_UNUSED )
! if(options.geartype==0)	
! {PORT_BIT(0x02, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==1)	
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE);} /* Gear */
! else if(options.geartype==2)
! {PORT_BIT(0x02, IP_ACTIVE_LOW, IPT_BUTTON1 ) PORT_NAME("Gear Shift") PORT_CODE(KEYCODE_SPACE) POLEPOS_TOGGLE ;} /* Gear */
! 
  	PORT_BIT( 0x04, IP_ACTIVE_LOW, IPT_SPECIAL )	// start 1, program controlled
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_UNUSED )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_COIN1 )
***************
*** 756,768 ****
  	PORT_DIPSETTING(	0x00, DEF_STR( High ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT)
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL)
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
--- 780,793 ----
  	PORT_DIPSETTING(	0x00, DEF_STR( High ) )
  
  	PORT_START /* IN1 - Brake */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL2 ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LALT) PORT_NAME("Brake")
  
  	PORT_START /* IN2 - Accel */
! 	PORT_BIT( 0xff, 0x00, IPT_PEDAL ) PORT_MINMAX(0,0x90) PORT_SENSITIVITY(100) PORT_KEYDELTA(16) PORT_CODE_DEC(KEYCODE_LCONTROL) PORT_NAME("Accelerator")
  
  	PORT_START /* IN3 - Steering */
! 	PORT_BIT ( 0xff, 0x00, IPT_DIAL ) PORT_SENSITIVITY(30) PORT_KEYDELTA(4) PORT_NAME("Steering")
! 	//PORT_BIT( 0xff, 0x7f, IPT_PADDLE ) PORT_MINMAX(0x01,0xff) PORT_SENSITIVITY(100) PORT_KEYDELTA(4)
  INPUT_PORTS_END
  
  
